%define upstream_name	 Tie-Cache
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8
Summary:    LRU Cache in Memory
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Tie::Cache::LRU\\)$

%description
This module implements a least recently used (LRU) cache in memory through a
tie interface. Any time data is stored in the tied hash, that key/value pair
has an entry time associated with it, and as the cache fills up, those members
of the cache that are the oldest are removed to make room for new entries.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__perl} -p -i -e 's|/usr/local/bin|/usr/bin|g;' Cache.pm
%{__make}

%check
%{__make} test

%install
%make_install
# Fix bogus dependency on Tie::Cache::LRU:
rm -f %{buildroot}%perl_vendorlib/Tie/bench.pl

%files
%doc CHANGES META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorlib}/Tie


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.210.0-8.mga8
+ Revision: 1497842
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.210.0-7.mga7
+ Revision: 1272351
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.210.0-6.mga6
+ Revision: 1035196
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.210.0-5.mga6
+ Revision: 931708
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.210.0-4.mga5
+ Revision: 740658
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 tv <tv> 0.210.0-3.mga5
+ Revision: 736611
- add excludes

* Tue Sep 16 2014 umeabot <umeabot> 0.210.0-2.mga5
+ Revision: 686681
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.210.0-1.mga5
+ Revision: 624429
- update to 0.21

* Mon Oct 21 2013 umeabot <umeabot> 0.190.0-2.mga4
+ Revision: 537505
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 0.190.0-1.mga4
+ Revision: 487123
- update to 0.19

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 374289
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 15489
- imported package perl-Tie-Cache


* Thu Sep 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.170.0-1mdv2010.0
+ Revision: 429002
- new perl version macro

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17-8mdv2009.0
+ Revision: 258655
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.17-7mdv2009.0
+ Revision: 246648
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.17-5mdv2008.1
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 0.17-5mdv2007.0
+ Revision: 108429
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Tie-Cache

* Thu Jun 30 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.17-4mdk
- Rebuild, cleanup

